---
title: "Get job details"
slug: "get-job-details-1"
updated: 2025-11-21T01:09:48Z
published: 2025-11-21T01:09:59Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job details

Get/jobs/{Id}

Retrieves details of the specified job, including the original job definition.

SecurityAPI Key: WasabiAuthHeader parameter namex-amz-access-key

Wasabi access key for authenticating requests. A valid Wasabi User access key is required for API calls.

API Key: WasabiSecretAuthHeader parameter namex-amz-secret-key

Wasabi secret key for authenticating requests. A valid Wasabi User secret key is required along with the access key.

Path parametersIdstringRequired

The ID of the job to retrieve.

Responses200

Job details retrieved successfully

<select class='api-response-data' aria-label='Media type'><option value='aafb0084-b6b8-47ea-8450-ead7ea8a241d'>application/json</option>
</select>Expand Allobject  Idstring    

Unique ID for the job

Example67345137bcb6dce44b35a6a6281711e7
Namestring    

Name of the job

ExampleMyJobName
Sourceobject  Endpointstring    

S3 endpoint URL

Examples3.us-west-1.wasabisys.com
Bucketstring    

Source bucket name

Examplewasabifs-chm
Regionstring    

S3 region

Exampleus-west-1
ObjectKeystring    

Object key or path to the file

ExampleMP4/Commercial.mp4
Providerstring    

Storage provider, e.g., wasabi, OBS, IBM

Servicesobject  

Services and their configurations

Example{
  "ocr": "",
  "s2t": "",
  "nld": "",
  "audiotag": "",
  "face": "",
  "logo": {
    "config": {
      "rec_confidence_threshold": 0.85
    }
  }
}

UserIdstring    

User who submitted the job (e.g., an ARN)

Example10000
Createdstring  (date-time)    

Timestamp when the job was created

Example2024-11-13T07:11:51.658Z
Completedstring  (date-time)    

Timestamp when the job was completed

Example2024-11-13T07:11:51.658Z
Priorityinteger    

Job priority (1-10). example: 5

Batchstring    

Optional batch identifier for grouping jobs

Examplebatch_2024_11_21
Statusstring    

Current status of the job

Valid values[
  "submitted",
  "preflight",
  "in_progress",
  "completed",
  "failed",
  "cancelled"
]Examplesubmitted
Destinationobject  Bucketstring    

Destination bucket name

Exampleairstream-output-2
Regionstring    

S3 region

Exampleus-west-1

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='113fc420-c241-4f8e-b555-6dd6da257a12'>application/json</option>
</select>

```json
{
  "Error": "Unauthorized",
  "ErrorCode": "UNAUTHORIZED"
}
```

object  Errorstring    

Error message explaining what went wrong

ExampleAn unexpected error occurred while processing the job.
ErrorCodestring    

Error code for troubleshooting

ExampleINTERNAL_ERROR

404

Job not found

<select class='api-response-data' aria-label='Media type'><option value='196ee27b-7a8b-4a0e-8a34-b4bb250957dd'>application/json</option>
</select>

```json
{
  "ErrorCode": "NOT_FOUND"
}
```

object  Errorstring    

Error message explaining what went wrong

ExampleAn unexpected error occurred while processing the job.
ErrorCodestring    

Error code for troubleshooting

ExampleINTERNAL_ERROR

500

Internal Server Error

<select class='api-response-data' aria-label='Media type'><option value='7df2a564-5769-4fe6-8e9c-b3aa3e81fdd1'>application/json</option>
</select>

```json
{
  "Error": "An unexpected error occurred while processing the job.",
  "ErrorCode": "INTERNAL_ERROR"
}
```

object  Errorstring    

Error message explaining what went wrong

ExampleAn unexpected error occurred while processing the job.
ErrorCodestring    

Error code for troubleshooting

ExampleINTERNAL_ERROR
